import { ChartSOP } from '../../libappsop/chartsop';
import { FormSOP } from '../../libappsop/formsop';

export class FormScenarioAnalysisBottleneckResources extends FormSOP {
  public chartScenarioAnalysisBottleneckResources = new ChartScenarioAnalysisBottleneckResources();

  public constructor() {
    super('FormScenarioAnalysisBottleneckResource');
  }

  // Override base method to include waiting for child chart
  public async waitUntilPresent(ignorePendingAsyncQuill?: boolean): Promise<void> {
    await super.waitUntilPresent(ignorePendingAsyncQuill);

    await this.chartScenarioAnalysisBottleneckResources.waitUntilPresent();
  }
}

export class ChartScenarioAnalysisBottleneckResources extends ChartSOP {
  public static readonly chartTitle = 'Bottleneck resources';
  public static readonly chartYAxisTitle = 'Utilization(%)';
  public constructor() {
    super('DashboardChartScenarioAnalysisBottleneckResources');
  }
}
